Foreman - Refactor #12822

Separate LookupValue to different classes per LookupKey type
12/15/2015 01:12 AM - Ori Rabin

Status: New
Priority: Normal
Assignee:

Category: Parameters

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

As suggested by: https:/github.com/theforeman/foreman/pull/2909#discussion_r46676200

LookupKey has been separated into two classes and LookupValue still has specific logic for each one.

LookupValue should also be separated or at least move the puppet specific logic into a child class.

Related issues:

Related to Foreman - Refactor #10832: Make LookupKey an STI for puppet and va... Closed 06/16/2015
Related to Foreman - Refactor #15828: Turn default value in lookup key to a l... New

Related to Foreman - Refactor #15846: Rename use_puppet_default in lookup val... Closed 07/27/2016
Has duplicate Foreman - Refactor #15710: Create STI for LookupValues Duplicate 07/17/2016
History

#1 - 12/15/2015 03:03 AM - Dominic Cleal
- Related to Refactor #10832: Make LookupKey an STI for puppet and variable keys added

#2 - 12/17/2015 06:18 AM - Ori Rabin
- Status changed from New to Assigned

- Assignee set to Amir Fefer

#3 - 01/15/2016 03:48 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3080 added

#4 - 07/18/2016 03:13 AM - Dominic Cleal
- Has duplicate Refactor #15710: Create STI for LookupValues added

#5 - 07/25/2016 06:37 AM - Ori Rabin
- Related to Refactor #15828: Turn default value in lookup key to a lookup value added

#6 - 07/27/2016 08:56 AM - Ilvan Necas

- Target version setto 113

#7 - 07/27/2016 09:19 AM - Ivan Necas
- Target version deleted (113)

#8 - 07/27/2016 09:45 AM - Shimon Shtein

At least from Puppet separation point of view, we can handle the LookupValue without inheritance.
All we need to do, is rename use_puppet_default to something more generic.
| have already opened an issue for that: [[http:/projects.theforeman.org/issues/15846]]

#9 - 07/27/2016 09:46 AM - Shimon Shtein
https://github.com/theforeman/foreman/pull/2909#discussion_r46676200
http://projects.theforeman.org/issues/15846

- Related to Refactor #15846: Rename use_puppet_default in lookup values to skip_foreman added

#10 - 07/28/2016 03:11 AM - Dominic Cleal
- Status changed from Ready For Testing to New
- Assignee deleted (Amir Fefer)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3080)

No activity on PR after being put up for review.
